Skip to content

Users

All operations require authentication.

13 operationsv2/publicCloud/project
Agent setup

List usersBeta

GET
/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/user

Returns the users of the service with their status. Passwords are not returned.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200User[]successful operation
admin
read-only
boolean

Whether this is the service administrator, the user created automatically at provisioning time, which cannot be deleted

checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the user was created

credentialsLastUpdatedAt
read-only
stringdate-time

Date at which the user credentials were last updated

id
read-only
stringuuid

Unique identifier of the user

password
read-only
stringpassword

Password of the user. Returned only on creation or password reset.

status
read-only
UserStatusEnum

Current readiness status of the user

ValuesCREATINGDELETINGERRORREADYUPDATING
username
read-only
string

Login name of the user

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/user \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "admin": true, "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "credentialsLastUpdatedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "password": "string", "status": "CREATING", "username": "string" }]

Get a userBeta

GET
/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/user/{userId}

Returns the user and its status. The password is not returned.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

userId
required
stringuuid

User ID

Response

200Usersuccessful operation
admin
read-only
boolean

Whether this is the service administrator, the user created automatically at provisioning time, which cannot be deleted

checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the user was created

credentialsLastUpdatedAt
read-only
stringdate-time

Date at which the user credentials were last updated

id
read-only
stringuuid

Unique identifier of the user

password
read-only
stringpassword

Password of the user. Returned only on creation or password reset.

status
read-only
UserStatusEnum

Current readiness status of the user

ValuesCREATINGDELETINGERRORREADYUPDATING
username
read-only
string

Login name of the user

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000, userId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/user/{userId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "admin": true, "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "credentialsLastUpdatedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "password": "string", "status": "CREATING", "username": "string"}

Create a userBeta

POST
/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/user

Creates a user and generates its password. The password is returned only on creation and on password reset.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Request body (required)

name
required
string

Login name of the new user

Response

200Usersuccessful operation
admin
read-only
boolean

Whether this is the service administrator, the user created automatically at provisioning time, which cannot be deleted

checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the user was created

credentialsLastUpdatedAt
read-only
stringdate-time

Date at which the user credentials were last updated

id
read-only
stringuuid

Unique identifier of the user

password
read-only
stringpassword

Password of the user. Returned only on creation or password reset.

status
read-only
UserStatusEnum

Current readiness status of the user

ValuesCREATINGDELETINGERRORREADYUPDATING
username
read-only
string

Login name of the user

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/user \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "admin": true, "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "credentialsLastUpdatedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "password": "string", "status": "CREATING", "username": "string"}

Delete a userBeta

DELETE
/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/user/{userId}

Permanently deletes the user.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

userId
required
stringuuid

User ID

Response

200Usersuccessful operation
admin
read-only
boolean

Whether this is the service administrator, the user created automatically at provisioning time, which cannot be deleted

checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the user was created

credentialsLastUpdatedAt
read-only
stringdate-time

Date at which the user credentials were last updated

id
read-only
stringuuid

Unique identifier of the user

password
read-only
stringpassword

Password of the user. Returned only on creation or password reset.

status
read-only
UserStatusEnum

Current readiness status of the user

ValuesCREATINGDELETINGERRORREADYUPDATING
username
read-only
string

Login name of the user

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000, userId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/user/{userId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "admin": true, "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "credentialsLastUpdatedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "password": "string", "status": "CREATING", "username": "string"}

Reset user credentialsBeta

PATCH
/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/user/{userId}

Resets the password of the user when credentialsLastUpdatedAt is set. The new password is returned in the response.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

userId
required
stringuuid

User ID

Request body (required)

credentialsLastUpdatedAt
required
stringdate-time

Date at which the user credentials were last updated. Setting this field triggers a credential reset and returns the new password.

Response

200Usersuccessful operation
admin
read-only
boolean

Whether this is the service administrator, the user created automatically at provisioning time, which cannot be deleted

checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the user was created

credentialsLastUpdatedAt
read-only
stringdate-time

Date at which the user credentials were last updated

id
read-only
stringuuid

Unique identifier of the user

password
read-only
stringpassword

Password of the user. Returned only on creation or password reset.

status
read-only
UserStatusEnum

Current readiness status of the user

ValuesCREATINGDELETINGERRORREADYUPDATING
username
read-only
string

Login name of the user

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000, userId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/user/{userId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "admin": true, "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "credentialsLastUpdatedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "password": "string", "status": "CREATING", "username": "string"}

Reset the password of a userBeta

POST
/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/user/{userId}/resetPassword

Generates a new password for the user and returns it in the response. Reading the user never returns it. The previous password stops working once the new one is applied, and credentialsLastUpdatedAt becomes the date of this reset. This is the same reset as a partial update of the user that sets credentialsLastUpdatedAt.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

userId
required
stringuuid

User ID

Response

200Usersuccessful operation
admin
read-only
boolean

Whether this is the service administrator, the user created automatically at provisioning time, which cannot be deleted

checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the user was created

credentialsLastUpdatedAt
read-only
stringdate-time

Date at which the user credentials were last updated

id
read-only
stringuuid

Unique identifier of the user

password
read-only
stringpassword

Password of the user. Returned only on creation or password reset.

status
read-only
UserStatusEnum

Current readiness status of the user

ValuesCREATINGDELETINGERRORREADYUPDATING
username
read-only
string

Login name of the user

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000, userId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/user/{userId}/resetPassword \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "admin": true, "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "credentialsLastUpdatedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "password": "string", "status": "CREATING", "username": "string"}

List usersBeta

GET
/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaConnect/{serviceId}/user

Returns the users of the service with their status. Passwords are not returned.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200User[]successful operation
admin
read-only
boolean

Whether this is the service administrator, the user created automatically at provisioning time, which cannot be deleted

checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the user was created

credentialsLastUpdatedAt
read-only
stringdate-time

Date at which the user credentials were last updated

id
read-only
stringuuid

Unique identifier of the user

password
read-only
stringpassword

Password of the user. Returned only on creation or password reset.

status
read-only
UserStatusEnum

Current readiness status of the user

ValuesCREATINGDELETINGERRORREADYUPDATING
username
read-only
string

Login name of the user

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaConnect/{serviceId}/user \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "admin": true, "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "credentialsLastUpdatedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "password": "string", "status": "CREATING", "username": "string" }]

Get a userBeta

GET
/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaConnect/{serviceId}/user/{userId}

Returns the user and its status. The password is not returned.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

userId
required
stringuuid

User ID

Response

200Usersuccessful operation
admin
read-only
boolean

Whether this is the service administrator, the user created automatically at provisioning time, which cannot be deleted

checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the user was created

credentialsLastUpdatedAt
read-only
stringdate-time

Date at which the user credentials were last updated

id
read-only
stringuuid

Unique identifier of the user

password
read-only
stringpassword

Password of the user. Returned only on creation or password reset.

status
read-only
UserStatusEnum

Current readiness status of the user

ValuesCREATINGDELETINGERRORREADYUPDATING
username
read-only
string

Login name of the user

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000, userId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaConnect/{serviceId}/user/{userId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "admin": true, "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "credentialsLastUpdatedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "password": "string", "status": "CREATING", "username": "string"}

Create a userBeta

POST
/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaConnect/{serviceId}/user

Creates a user and generates its password. The password is returned only on creation and on password reset.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

Request body (required)

name
required
string

Login name of the new user

Response

200Usersuccessful operation
admin
read-only
boolean

Whether this is the service administrator, the user created automatically at provisioning time, which cannot be deleted

checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the user was created

credentialsLastUpdatedAt
read-only
stringdate-time

Date at which the user credentials were last updated

id
read-only
stringuuid

Unique identifier of the user

password
read-only
stringpassword

Password of the user. Returned only on creation or password reset.

status
read-only
UserStatusEnum

Current readiness status of the user

ValuesCREATINGDELETINGERRORREADYUPDATING
username
read-only
string

Login name of the user

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaConnect/{serviceId}/user \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "admin": true, "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "credentialsLastUpdatedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "password": "string", "status": "CREATING", "username": "string"}

Delete a userBeta

DELETE
/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaConnect/{serviceId}/user/{userId}

Permanently deletes the user.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

userId
required
stringuuid

User ID

Response

200Usersuccessful operation
admin
read-only
boolean

Whether this is the service administrator, the user created automatically at provisioning time, which cannot be deleted

checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the user was created

credentialsLastUpdatedAt
read-only
stringdate-time

Date at which the user credentials were last updated

id
read-only
stringuuid

Unique identifier of the user

password
read-only
stringpassword

Password of the user. Returned only on creation or password reset.

status
read-only
UserStatusEnum

Current readiness status of the user

ValuesCREATINGDELETINGERRORREADYUPDATING
username
read-only
string

Login name of the user

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000, userId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaConnect/{serviceId}/user/{userId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "admin": true, "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "credentialsLastUpdatedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "password": "string", "status": "CREATING", "username": "string"}

Reset user credentialsBeta

PATCH
/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaConnect/{serviceId}/user/{userId}

Resets the password of the user when credentialsLastUpdatedAt is set. The new password is returned in the response.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

userId
required
stringuuid

User ID

Request body (required)

credentialsLastUpdatedAt
required
stringdate-time

Date at which the user credentials were last updated. Setting this field triggers a credential reset and returns the new password.

Response

200Usersuccessful operation
admin
read-only
boolean

Whether this is the service administrator, the user created automatically at provisioning time, which cannot be deleted

checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the user was created

credentialsLastUpdatedAt
read-only
stringdate-time

Date at which the user credentials were last updated

id
read-only
stringuuid

Unique identifier of the user

password
read-only
stringpassword

Password of the user. Returned only on creation or password reset.

status
read-only
UserStatusEnum

Current readiness status of the user

ValuesCREATINGDELETINGERRORREADYUPDATING
username
read-only
string

Login name of the user

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000, userId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaConnect/{serviceId}/user/{userId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "admin": true, "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "credentialsLastUpdatedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "password": "string", "status": "CREATING", "username": "string"}

Get the user certificateBeta

GET
/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/user/{userId}/access

Returns the client certificate, in PEM format, and its private key, used for SSL authentication of the user.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

userId
required
stringuuid

User ID

Response

200UserAccesssuccessful operation
cert
read-only
string

Client certificate in PEM format

key
read-only
stringpassword

Private key for the client certificate

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000, userId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/user/{userId}/access \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "cert": "string", "key": "string"}

Reset the password of a userBeta

POST
/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaConnect/{serviceId}/user/{userId}/resetPassword

Generates a new password for the user and returns it in the response. Reading the user never returns it. The previous password stops working once the new one is applied, and credentialsLastUpdatedAt becomes the date of this reset. This is the same reset as a partial update of the user that sets credentialsLastUpdatedAt.

Path parameters

projectId
required
string

Project ID

serviceId
required
stringuuid

Service ID

userId
required
stringuuid

User ID

Response

200Usersuccessful operation
admin
read-only
boolean

Whether this is the service administrator, the user created automatically at provisioning time, which cannot be deleted

checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the user was created

credentialsLastUpdatedAt
read-only
stringdate-time

Date at which the user credentials were last updated

id
read-only
stringuuid

Unique identifier of the user

password
read-only
stringpassword

Password of the user. Returned only on creation or password reset.

status
read-only
UserStatusEnum

Current readiness status of the user

ValuesCREATINGDELETINGERRORREADYUPDATING
username
read-only
string

Login name of the user

Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000, userId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/kafkaConnect/{serviceId}/user/{userId}/resetPassword \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "admin": true, "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "credentialsLastUpdatedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "password": "string", "status": "CREATING", "username": "string"}